oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions related to download, Installation and licensing for Intel oneAPI Toolkits and software development tools.

Visual Studio Compatibilty

need_support
Beginner
1,667 Views

I am trying to find out what version of Parallel Studio is compatible with what version of Parallel Studio.

 

I have 2 links:

 

https://software.intel.com/content/dam/develop/external/us/en/documents/ipsxe-2019-update-6-release-notes-en-743120.pdf

 

https://software.intel.com/content/www/us/en/develop/articles/intel-parallel-studio-xe-compilers-required-microsoft-visual-studio.html

 

The first one on page 11 says that VS2015 support was deprecated with XE 2019 update 2, but the second link says it's still supported all the way up to XE 2020 with the Common Tools installed. Does anyone know what is correct.

0 Kudos
1 Solution
Nupur_K_Intel
Moderator
1,615 Views

Hi Justin, please be informed that the Intel® parallel studio product suite itself doesn't support it, but there are compilers within the suite that still do. For example, according to the link, the C++ and Fortran compilers still support it, but other components in the suite do not support VS 2015.


You may also find the below link helpful:

Link: https://software.intel.com/content/www/us/en/develop/articles/intel-compilers-compatibility-with-microsoft-visual-studio-and-xcode.html




View solution in original post

0 Kudos
1 Reply
Nupur_K_Intel
Moderator
1,616 Views

Hi Justin, please be informed that the Intel® parallel studio product suite itself doesn't support it, but there are compilers within the suite that still do. For example, according to the link, the C++ and Fortran compilers still support it, but other components in the suite do not support VS 2015.


You may also find the below link helpful:

Link: https://software.intel.com/content/www/us/en/develop/articles/intel-compilers-compatibility-with-microsoft-visual-studio-and-xcode.html




0 Kudos
Reply